// Loader styles
.inside-loader {
  height: 300px;
  .loader-outside {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
  }
}
.loader-outside {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
}

.loader-line {
  width: 250px;
  height: 250px;
  margin: 50px auto;
  border: 4px double;
  border-radius: 50%;
  border-color: transparent rgba(0, 0, 0, 0.9) rgba(0, 0, 0, 0.9);
  animation: spiner 690ms infinite linear;
  -o-animation: spiner 690ms infinite linear;
  -ms-animation: spiner 690ms infinite linear;
  -webkit-animation: spiner 690ms infinite linear;
  -moz-animation: spiner 690ms infinite linear;
}
@keyframes spiner {
  100% {
    transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spiner {
  100% {
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-ms-keyframes spiner {
  100% {
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-webkit-keyframes spiner {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spiner {
  100% {
    -moz-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@media (min-width: 576px) {
  .card-columns {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
  }
}
//

// Navbar
.navbar {
  justify-content: center;
  .navbar-brand {
    font-size: 2rem;
    color: white;
    text-decoration: none;
  }
}
//

// DataView
#customContainer {
  max-width: 1200px;
  margin: 0 auto;
  .nav-tabs {
    margin-top: 15px;
    .nav-item {
      width: 50%;
      text-align: center;
      font-size: 1.5rem;
      cursor: pointer;
    }
  }
  .tab-content {
    margin-top: -1px;
    // styles for pagination and additional info
    .dropdown {
      margin: 5px 0;
      display: inline-block;
      .dropdown-item.active {
        background-color: #545b62;
      }
    }
    .additionalInfo {
      display: inline-block;
      margin: 0 5px;
      button:hover {
        background-color: inherit;
        color: inherit;
        cursor: unset;
      }
    }
    .pagination {
      justify-content: center;
      .page-item {
        .page-link {
          color: #545b62;
        }
      }
      .page-item.active {
        .page-link {
          background-color: #545b62;
          border-color: #545b62;
          color: #fff;
        }
        .page-link:focus {
          outline: none;
          box-shadow: none;
        }
      }
    }
    //
    // styles for table
    .clickableHeader {
      cursor: pointer;
    }
    .clickableHeader.desc::after,
    .clickableHeader.asc::after {
      display: inline-block;
      margin-left: 0.255em;
      vertical-align: 0.255em;
      content: '';
      border-right: 0.3em solid transparent;
      border-left: 0.3em solid transparent;
    }
    .clickableHeader.desc::after {
      border-top: 0.3em solid;
      border-bottom: 0;
    }
    .clickableHeader.asc::after {
      border-top: 0em solid;
      border-bottom: 0.3em solid;
    }
    tfoot {
      background-color: #545b6238;
      .footerResults {
        width: 33%;
        display: inline-block;
      }
    }
    //shrinking first two columns (# and flag)
    .countriesRow {
      td:nth-child(1),
      td:nth-child(2) {
        width: 7%;
      }
    }
    img {
      width: 100%;
    }
    //table row animation
    @keyframes fadeIn {
      0% {
        opacity: 0;
      }
      100% {
        opacity: 1;
      }
    }
    //
  }
}
//

// ErrorPage
#errorPage {
  max-width: 1200px;
  margin: 20px auto;
  text-align: center;
  p {
    margin-top: 10px;
  }
}
//
